it-artikel:wie-man-gq-ldap-browser-client-auf-debian-lenny-installieren-kann

Wie man "gq" LDAP Browser/Client auf Debian Lenny installieren kann

GQ, der LDAP Browser welcher unter Debian 4 Etch noch enthalten war, ist leider bei Debian 5 Lenny nicht mehr enthalten. Man kann allerdings (Stand 7/2009) entweder das GQ Softwarepaket der DEBIAN SID Distribution installieren ODER sich GQ aus den Sources kompilieren.

SID Paket Methode

  1. Aktuelles Softwarepaket kann über http://packages.debian.org/search?keywords=gq gesucht und gefunden werden.
  2. mit “dpkg -i gq_1.0.0-3+b1_i386.deb” installieren

TAR BALL Methode

HINWEIS: Diese Anleitung hat am 28.5.2009 noch funktioniert. MfG Axel Werner

Quellen herunterladen von: https://sourceforge.net/project/showfiles.php?group_id=3805

Folgende Anleitung konnte im Internet dazu gefunden werden:

  • Note that with gq, you may need to do a uncripted connection or with TLS. No SSL support!
  • gq is available on `Debian Etch` but isn't on `Debian Lenny`.

Installing gq from source on Debian Lenny.

So here's how to install the requirements and compile and install `gq` for a `Lenny` box.

First install the requirements:

    aptitude install libgnome-keyring-dev libglade2-dev libxml2-dev libldap2-dev
    # We don't install it widely. No root access needed!
    mkdir /home/dvanmosselbeen/local

    ./configure --prefix=/home/dvanmosselbeen/local
    make
    make install
    # Adjust the PATH variable
    PATH=$PATH:/home/dvanmosselbeen/local/bin

Starting gq:

    gq

Axel Werner 2011-01-01 23:54

it-artikel/wie-man-gq-ldap-browser-client-auf-debian-lenny-installieren-kann.txt · Last modified: 2011-01-01 23:56 by mail@awerner.myhome-server.de